#
# granular-est.R, 18 Jul 21
#
# Data extracted from corresponding papers.

library("colorspace")

par(pch="+")
par(bty="l")
par(las=1)

pal_col=rainbow(4)

fit_gran_seq=function(seq, col_str)
{
points(seq, col=col_str)
ind=1:length(seq)
sq_mod=glm(log(seq) ~ ind)

# print(summary(sq_mod))

pred=predict(sq_mod)
lines(exp(pred), col=col_str)
}


ge=read.csv("granular-est.csv", as.is=TRUE)
plot(0.1, type="n", log="y",
	xlim=c(1, 6), ylim=c(0.2, 20),
	xlab="Numeric order", ylab="Round number estimate")
fit_gran_seq(ge$Fibonacci, pal_col[1])
fit_gran_seq(ge$Brightsquid, pal_col[2])
fit_gran_seq(ge$SiP, pal_col[3])
fit_gran_seq(ge$CESAWp615/60, pal_col[4])

legend("topleft", c("Fibonacci numbers", "BrightSquid (minutes)", "SiP (hours)", "CESAW project 615 (hours)"),
				bty="n", fill=pal_col, cex=1.4)

